Subject: Re: bug: git-sh-setup should not be in $PATH

From: Han-Wen Nienhuys <[email-masked]>
Date: Wed, 06 Dec 2006 17:56:58 +0100

Jakub Narebski escreveu:
> I'm still not sure if this has place in git. Is it really common to
> support building outside source directory? If git didn't support this,
> so what?

lots of serious tools support it, as it this comes automatically
when using automake. Eg. emacs, gcc, make, pango, lilypond, etc etc. 

It's a quite standard feature ; you should be asking why git 
shouldn't support it.

Another option is to make a special solution based on makefiles, so 
make is run inside the srcdir, but output shunted output to a 
separate objects/ subdirectory.  However, it's more work, and less 
standardized.

--